#ifndef _IMAGEVIEWER_H
#define _IMAGEVIEWER_H

#include "Image.h"
#include <SDL2/SDL.h>

/**
* \fn  ImageViewer::ImageViewer()
 * @brief Constructeur qui initialise tout SDL2 et crée la fenêtre et le rendere.
 * 
 */



class ImageViewer
{
    private :
    SDL_Window * window;
    SDL_Renderer * renderer;
    SDL_Surface * m_surface;
    SDL_Texture * m_texture;
    

    public :
    ImageViewer(); // Constructeur qui initialise tout SDL2 et crée la fenêtre et le renderer
    ~ImageViewer(); // Détruit et ferme SDL2
    void setSurfText(const Image & im);
    void afficher(const Image & im)const;

};


#endif
